# Nextcloud Cospend 💰

Nextcloud Cospend es un gestor de presupuesto compartido. Fue inspirado por el magnífico [IHateMoney](https://github.com/spiral-project/ihatemoney/).

Puedes usarlo cuando compartes una casa, cuando vas de vacaciones con tus amigos, o en cualquier momento en que compartas dinero con otros.

Te permite crear proyectos con miembros y facturas. Cada miembro tiene un saldo calculado a partir de las facturas del proyecto. De esta manera se puede ver quién debe al grupo y a quién debe el grupo. En última instancia, puedes pedir un plan de liquidación que indique qué pagos hay que hacer para restablecer los saldos de los miembros.

Los miembros del proyecto son independientes de los usuarios de Nextcloud. Los proyectos pueden ser accedidos y modificados por personas sin una cuenta de Nextcloud. Cada proyecto tiene un ID y una contraseña para el acceso de invitados.

El cliente para Android [MoneyBuster](https://gitlab.com/eneiluj/moneybuster) está [disponible en F-Droid](https://f-droid.org/packages/net.eneiluj.moneybuster/) y en la [Play store](https://play.google.com/store/apps/details?id=net.eneiluj.moneybuster).

¡El cliente de iOS [PayForMe](https://github.com/mayflower/PayForMe) está en desarrollo actualmente!

## Funcionalidades

* ✎ crear, editar y eliminar proyectos, miembros, facturas, categorías y monedas
* ⚖ verificar el saldo de los miembros
* 🗠 mostrar estadísticas del proyecto
* ♻ mostrar un plan de liquidación o pago
* 🎇 crear automáticamente facturas de reembolso a partir del plan de liquidación
* 🗓 crear facturas recurrentes (diaria/semanal/mensual/anual)
* 📊 proporcionar opcionalmente una cantidad personalizada para cada miembro en nuevas facturas
* 🔗 enlazar facturas con archivos personales (imagen de la factura física, por ejemplo)
* 👩 acceso para huéspedes fuera de Nextcloud
* 👫 compartir proyectos con usuarios/grupos/círculos de Nextcloud
* 🖫 importar y exportar proyectos a csv (compatible con archivos csv de IHateMoney)
* 🔗 generar enlaces o QRs para importar proyectos fácilmente en MoneyBuster
* 🗲 se integra con notificaciones de Nextcloud y el flujo de actividad

Esta aplicación está probada en Nextcloud 20+ con Firefox 57+ y Chromium.

Esta aplicación está en desarrollo.

🌍 Ayúdanos a traducir esta aplicación en [el proyecto de Crowdin de Nextcloud Cospend/MoneyBuster](https://crowdin.com/project/moneybuster).

⚒ Encuentra otras maneras de ayudar en [la guía de contribución](https://github.com/eneiluj/cospend-nc/blob/master/CONTRIBUTING.md).

## Documentación

* [Documentacion para el usuario](https://github.com/eneiluj/cospend-nc/blob/master/docs/user.md)
* [Documentacion para el administrador](https://github.com/eneiluj/cospend-nc/blob/master/docs/admin.md)
* [Documentación para desarrolladores](https://github.com/eneiluj/cospend-nc/blob/master/docs/dev.md)
* [CHANGELOG](https://github.com/eneiluj/cospend-nc/blob/master/CHANGELOG.md#change-log)
* [AUTHORS](https://github.com/eneiluj/cospend-nc/blob/master/AUTHORS.md#authors)

## Problemas conocidos

* no te hace rico

Any feedback will be appreciated.

