# Nextcloud Cospend 💰

Nextcloud Cospend est un gestionnaire de dépenses partagées (de groupe). Il a été inspiré par le génial [IHateMoney](https://github.com/spiral-project/ihatemoney/).

Vous pouvez l'utiliser lorsque vous partagez une maison, quand vous partez en vacances avec des amis, chaque fois que vous partagez des dépenses avec autrui.

Cospend vous permet de créer des projets avec des membres et des factures. Chaque membre a un solde calculé à partir des factures du projet. Comme ça vous pouvez voir qui doit de l'argent au groupe et à qui le groupe doit de l'argent. À la fin, vous pouvez demander un plan de remboursement qui vous indique les paiements à effectuer pour remettre les soldes des membres à zéro.

Les membres du projets sont indépendants des utilisateurs Nextcloud. Les projets peuvent être consultés et modifiés par des personnes sans compte Nextcloud. Chaque projet a un identifiant et un mot de passe pour l'accès invité.

Le client Android [MoneyBuster](https://gitlab.com/eneiluj/moneybuster) est [disponible sur F-Droid](https://f-droid.org/packages/net.eneiluj.moneybuster/) et sur le [Play store](https://play.google.com/store/apps/details?id=net.eneiluj.moneybuster).

Le client iOS [PayForMe](https://github.com/mayflower/PayForMe) est en cours de développement !

## Fonctionnalités

* ✎ créer/modifier/supprimer des projets, membres, factures, catégories de factures, devises
* ⚖ voir les soldes des membres
* 🗠 afficher les statistiques des projets
* ♻ afficher un plan de remboursement
* 🎇 créer automatiquement les factures correspondant au plan de remboursement
* 🗓 créer des factures récurrentes (quotidien/hebdomadaire/mensuel/annuel)
* 📊 entrer un montant personnalisé pour chaque membre dans les nouvelles factures
* 🔗 lier des factures avec des fichiers personnels (photo de facture physique par exemple)
* 👩 accès invité pour les personnes en dehors du Nextcloud
* 👫 partager un projet avec des utilisateurs/groupes/cercles Nextcloud
* 🖫 importer/exporter des projets en csv (compatible avec les fichiers csv d'IHateMoney)
* 🔗 générez des liens/QRCode pour facilement importer des projets dans MoneyBuster
* 🗲 implémente les notifications Nextcloud et le flux d'activité

Cette application est testée sur Nextcloud 20+ avec Firefox 57+ et Chromium.

Cette application est en cours de développement.

🌍 Aidez-nous à traduire cette application sur [le project Crowdin Nextcloud-Cospend/MoneyBuster](https://crowdin.com/project/moneybuster).

⚒ Découvrez d'autres façons d'aider dans les [indications de contribution](https://gitlab.com/eneiluj/cospend-nc/blob/master/CONTRIBUTING.md).

## Documentation

* [Documentation utilisateur](https://github.com/eneiluj/cospend-nc/blob/master/docs/user.md)
* [Documentation administrateur](https://github.com/eneiluj/cospend-nc/blob/master/docs/admin.md)
* [Documentation développeur](https://github.com/eneiluj/cospend-nc/blob/master/docs/dev.md)
* [CHANGELOG](https://github.com/eneiluj/cospend-nc/blob/master/CHANGELOG.md#change-log)
* [AUTEURS](https://github.com/eneiluj/cospend-nc/blob/master/AUTHORS.md#authors)

## Problèmes connus

* ça ne vous rend pas riche

Tout retour sera apprécié.

