# Nextcloud Cospend 💰

Nextcloud Cospend is a group/shared budget manager.
It was inspired by the great [IHateMoney](https://github.com/spiral-project/ihatemoney/).

You can use it when you share a house, when you go on vacation with friends, whenever you share money with others.

It lets you create projects with members and bills. Each member has a balance computed from the project bills.
This way you can see who owes the group and who the group owes. Ultimately you can ask for a settlement plan telling you which payments to make to reset members balances.

Project members are independent from Nextcloud users.
Projects can be accessed and modified by people without a Nextcloud account. Each project has an ID and a password for guest access.

[MoneyBuster](https://gitlab.com/eneiluj/moneybuster) Android client is [available in F-Droid](https://f-droid.org/packages/net.eneiluj.moneybuster/) and on the [Play store](https://play.google.com/store/apps/details?id=net.eneiluj.moneybuster).

[PayForMe](https://github.com/mayflower/PayForMe) iOS client is currently being developped!

## Features

* ✎ create/edit/delete projects, members, bills, bill categories, currencies
* ⚖ check member balances
* 🗠 display project statistics
* ♻ display settlement plan
* 🎇 automatically create reimbursement bills from settlement plan
* 🗓 create recurring bills (daily/weekly/monthly/yearly)
* 📊 optionally provide custom amount for each member in new bills
* 🔗 link bills with personal files (picture of physical bill for example)
* 👩 guest access for people outside Nextcloud
* 👫 share projects with Nextcloud users/groups/circles
* 🖫 import/export projects as csv (compatible with csv files from IHateMoney)
* 🔗 generate link/QRCode to easily import projects in MoneyBuster
* 🗲 implement Nextcloud notifications and activity stream

This app is tested on Nextcloud 20+ with Firefox 57+ and Chromium.

This app is under development.

🌍 Help us to translate this app on [Nextcloud-Cospend/MoneyBuster Crowdin project](https://crowdin.com/project/moneybuster).

⚒ Check out other ways to help in the [contribution guidelines](https://github.com/eneiluj/cospend-nc/blob/master/CONTRIBUTING.md).

## Documentation

* [User documentation](https://github.com/eneiluj/cospend-nc/blob/master/docs/user.md)
* [Admin documentation](https://github.com/eneiluj/cospend-nc/blob/master/docs/admin.md)
* [Developer documentation](https://github.com/eneiluj/cospend-nc/blob/master/docs/dev.md)
* [CHANGELOG](https://github.com/eneiluj/cospend-nc/blob/master/CHANGELOG.md#change-log)
* [AUTHORS](https://github.com/eneiluj/cospend-nc/blob/master/AUTHORS.md#authors)

## Known issues

* it does not make you rich

Any feedback will be appreciated.

