# Nextcloud Cospend 💰

Nextcloud Cospend è un budget manager condiviso/di gruppo. Ha tratto ispirazione dal grande [IHateMoney](https://github.com/spiral-project/ihatemoney/).

Puoi usarlo per condividere le spese di casa, delle vacanze con gli amici e in ogni altra occasione in cui condividi i soldi con altri.

Permette di creare progetti con utenti e spese. Ogni utente ha un saldo derivante dalle spese del progetto. Così puoi vedere chi deve al gruppo quanto e quanto deve il gruppo a chi. Infine, puoi visualizzare un piano di rientro dal debito che indichi i pagamenti da effettuare per riportare a zero i saldi degli utenti.

Gli utenti del progetto sono indipendenti dagli utenti Nextcloud. I progetti sono accessibili e modificabili da persone senza un account Nextcloud. Ogni progetto ha un ID e una password per l'accesso ospite.

Il client per Android [MoneyBuster](https://gitlab.com/eneiluj/moneybuster) è [disponibile su F-Droid](https://f-droid.org/packages/net.eneiluj.moneybuster/) e sul [Play store](https://play.google.com/store/apps/details?id=net.eneiluj.moneybuster).

[PayForMe](https://github.com/mayflower/PayForMe) é un client iOS attualmente in fase di sviluppo!

## Funzioni

* ✎ crea/modifica/elimina progetti, utenti, spese, categorie di spese, valute
* ⚖ controlla i saldi degli utenti
* 🗠 visualizza le statistiche del progetto
* ♻ visualizza il piano di rientro dal debito
* 🎇 crea automaticamente i pagamenti per il rientro del debito
* 🗓 crea spese ricorrenti (quotidiane/settimanali/mensili/annuali)
* 📊 facoltativamente fornisce un importo personalizzato per ciascun utente nelle spese nuove
* 🔗 collega le spese a file personali (scansione di una bolletta, ad esempio)
* 👩 accesso ospite per persone fuori da Nextcloud
* 👫 condividi progetti con utenti/gruppi/circle di Nextcloud
* 🖫 importa/esporta progetti in formato csv (compatibile con i file csv di IHateMoney)
* 🔗 genera link/codice QR per importare facilmente progetti in MoneyBuster
* 🗲 implementa le notifiche e il flusso di attività di Nextcloud

Questa applicazione é testata su Nextcloud 20+ con Firefox 57+ e Chromium.

Questa app è in fase di sviluppo.

🌍 Aiutaci a tradurre questa app su [Nextcloud-Cospend/MoneyBuster progetto Crowdin](https://crowdin.com/project/moneybuster).

⚒ Scopri altri modi per aiutare nelle [linee guida per i contributi](https://gitlab.com/eneiluj/cospend-nc/blob/master/CONTRIBUTING.md).

## Documentazione

* [Documentazione utente](https://github.com/eneiluj/cospend-nc/blob/master/docs/user.md)
* [Documentazione per l'amministratore](https://github.com/eneiluj/cospend-nc/blob/master/docs/admin.md)
* [Documentazione per gli sviluppatori](https://github.com/eneiluj/cospend-nc/blob/master/docs/dev.md)
* [CHANGELOG](https://github.com/eneiluj/cospend-nc/blob/master/CHANGELOG.md#change-log)
* [AUTORI](https://github.com/eneiluj/cospend-nc/blob/master/AUTHORS.md#authors)

## Problemi noti

* non ti rende ricco

Ogni feedback é apprezzato.

