# Nextcloud Cospend 💰

Nextcloud Cospend is een groep/deelbaar budgetmanager. Ik was geinspireerd door het geweldige [IHateMoney](https://github.com/spiral-project/ihatemoney/).

Je kan het gebruiken wanneer je een huis deelt, of wanneer je op vakantie gaat met vrienden, of wanneer je geld deelt met anderen.

Het laat je projecten aanmaken met deelnemers en rekeningen. Voor iedere deelnemer wordt het saldo berekend op basis van de rekeningen. Zo kan je zien wie er nog moet betalen aan de groep of wie er nog moet ontvangen van de groep. Uiteindelijk kunt je vragen om een betalingsplan waarbij je te maken betalingen krijgt om de deelnemersbalans te resetten.

Projectdeelnemers zijn onafhankelijk van Nextcloud gebruikers. Projecten kunnen worden bekeken en aangepast door deelnemers zonder een Nextcloud-account. Elk project heeft een ID en een paswoord voor gasttoegang.

[MoneyBuster](https://gitlab.com/eneiluj/moneybuster) Android client is [te krijgen in F-Droid](https://f-droid.org/packages/net.eneiluj.moneybuster/) en in de [Play store](https://play.google.com/store/apps/details?id=net.eneiluj.moneybuster).

[PayForMe](https://github.com/mayflower/PayForMe) iOS client wordt nu ontwikkeld!

## Kenmerken

* Aanmaken/Veranderen/Verwijderen van projecten, deelnemers, rekeningen, categorieën en valuta's
* Controleer het saldo van een deelnemer
* Toon de statistieken van een project
* ♻ afrekeningsplan weergeven
* 🎇 Automatisch aanmaken van terugbetalingen op basis van het betaalplan
* Aanmaken van terugkerende rekeningen (dagelijks/wekelijks/maandelijks/jaarlijks)
* 📊 Optioneel veranderen van het bedrag voor elke deelnemer in nieuwe rekeningen
* 🔗 Link de rekeningen met persoonlijke files (voorbeeld: Foto of een rekening op papier)
* 👩 gasttoegang voor deelnemers buiten Nextcloud
* 👫 Deel projecten met Nextcould gebruikers/groepen/cirkels/circles
* 🖫 import/export projecten in csv (compatibel met csv files van IHateMoney)
* 🔗 Genereer een link of QRCode om de projecten makkelijk te importeren in MoneyBuster
* 🗲 implement Nextcloud notifications and activity stream

This app is tested on Nextcloud 20+ with Firefox 57+ and Chromium.

Deze app is werk in uitvoering.

🌍 Help ons deze app te vertalen bij het [Nextcloud-Cospend/MoneyBuster Crowdin project](https://crowdin.com/project/moneybuster).

⚒ Kijk in de [contributie richtlijnen](https://gitlab.com/eneiluj/cospend-nc/blob/master/CONTRIBUTING.md) hoe je kan helpen.

## Documentation

* [User documentation](https://github.com/eneiluj/cospend-nc/blob/master/docs/user.md)
* [Admin documentation](https://github.com/eneiluj/cospend-nc/blob/master/docs/admin.md)
* [Developer documentation](https://github.com/eneiluj/cospend-nc/blob/master/docs/dev.md)
* [CHANGELOG](https://github.com/eneiluj/cospend-nc/blob/master/CHANGELOG.md#change-log)
* [AUTHORS](https://github.com/eneiluj/cospend-nc/blob/master/AUTHORS.md#authors)

## Bekende problemen

* it does not make you rich

Any feedback will be appreciated.

