# Nextcloud Cospend 💰

Nextcloud Cospend é um gerenciador de orçamento compartilhado/de grupo. Foi inspirado pelo ótimo [IHateMoney](https://github.com/spiral-project/ihatemoney/).

Você pode usá-lo quando você compartilha uma casa com outras pessoas, quando você sai de férias com amigos, ou sempre que você compartilha despesas com outras pessoas.

Ele permite criar projetos com membros e despesas. Cada membro tem um saldo calculado a partir das faturas do projeto. Desta forma você pode ver quem deve ao grupo e a quem o grupo deve. Em última análise pode pedir um plano de quitação que lhe diga quais os pagamentos a fazer para saldar as dívidas dos membros.

Os membros do projeto são independentes dos usuários do Nextcloud. Projetos podem ser acessados e modificados por pessoas sem uma conta do Nextcloud. Cada projeto tem um ID e uma senha para acesso de convidados.

[MoneyBuster](https://gitlab.com/eneiluj/moneybuster) é um cliente Android que está [disponível no F-Droid](https://f-droid.org/packages/net.eneiluj.moneybuster/) e na [Play store](https://play.google.com/store/apps/details?id=net.eneiluj.moneybuster).

[PayForMe](https://github.com/mayflower/PayForMe) é um cliente iOS que ainda esta em desenvolvimento!

## Funcionalidades

* crie/edite/remova projetos, membros, despesas, categorias de despesas, moedas
* ⚖ verificar os saldos dos membros
* 🗠 exibir estatísticas do projeto
* ♻ exibir plano de quitação
* 🎇 criar automaticamente reembolsos a partir do plano de quitação
* 🗓 criar despesas recorrentes (diárias/semanais/mensais/anuais)
* 📊 fornecer, opcionalmente, um valor personalizado para cada membro em despesas novas
* vincule despesas com arquivos pessoais (fotos de comprovantes físicos por exemplo)
* 👩 acesso de convidado para pessoas fora do Nextcloud
* compartilhe projetos com usuários/grupos/circles do Nextcloud
* 🖫 importar/exportar projetos no formato CSV (compatível com aquivos CSV do IHateMoney)
* gere link/QRCode para importar facilmente projetos no MoneyBuster
* 🗲 implemente notificações e fluxo de atividades do Nextcloud

Este aplicativo foi testado em Nextcloud 20+ com Firefox 57+ e Chromium.

Este aplicativo está em desenvolvimento.

🌍 Ajude-nos a traduzir esta aplicação no [Nextcloud-Cospend/MoneyBuster Crowdin](https://crowdin.com/project/moneybuster).

⚒ Veja outras formas de ajudar nos [guias de contribuição](https://gitlab.com/eneiluj/cospend-nc/blob/master/CONTRIBUTING.md).

## Documentação

* [Documentação do usuário](https://github.com/eneiluj/cospend-nc/blob/master/docs/user.md)
* [Documentação do administrador](https://github.com/eneiluj/cospend-nc/blob/master/docs/admin.md)
* [Documentação do desenvolvedor](https://github.com/eneiluj/cospend-nc/blob/master/docs/dev.md)
* [REGISTRO DE MUDANÇAS](https://github.com/eneiluj/cospend-nc/blob/master/CHANGELOG.md#change-log)
* [AUTORES](https://github.com/eneiluj/cospend-nc/blob/master/AUTHORS.md#authors)

## Problemas conhecidos

* isso não te faz rico

Qualquer retorno será apreciado.

