# Nextcloud Cospend 💰

Nextcloud Cospend é um gestor de orçamento de grupo/partilhado. Foi inspirado pelo grande [IHateMoney](https://github.com/spiral-project/ihatemoney/).

Pode usá-lo ao partilhar uma casa, quando for férias com amigos ou sempre que partilhe despesas com outros.

Permite-lhe criar planeamentos com membros e despesas. Cada membro tem um saldo calculado a partir das despesas do planeamento. Desta forma pode ver quem deve ao grupo e a quem o grupo deve. Em última análise pode pedir um plano de liquidação que lhe diga quais os pagamentos a fazer para reiniciar os saldos dos membros.

Os membros do planeamento são independentes dos utilizadores do Nextcloud. Os planeamentos podem ser acedidos e modificados por pessoas que não tenham conta no Nextcloud. Cada planeamento tem um ID e uma senha para dar acesso aos convidados.

[MoneyBuster](https://gitlab.com/eneiluj/moneybuster) O cliente Android está [disponível no F-Droid](https://f-droid.org/packages/net.eneiluj.moneybuster/) e na [Play store](https://play.google.com/store/apps/details?id=net.eneiluj.moneybuster).

[PayForMe](https://github.com/mayflower/PayForMe) O cliente iOS está a ser desenvolvido neste momento!

## Funcionalidades

* ✎ criar/editar/eliminar planeamentos, membros, despesas, categorias de despesas, moedas
* ⚖ verificar os saldos dos membros
* 🗠 exibir estatísticas do planeamento
* ♻ exibir plano de liquidação
* 🎇 criar automaticamente despesas de reembolso a partir do plano de liquidação
* 🗓 criar despesas recorrentes (diárias/semanais/mensais/anuais)
* 📊 fornecer, opcionalmente, um valor personalizado para cada membro em despesas novas
* 🔗 ligar despesas a ficheiros pessoais (fotografia da factura física, por exemplo)
* 👩 acesso de convidado para pessoas fora do Nextcloud
* 👫 partilhar planeamentos com utilizadores/grupos/círculos do Nextcloud
* 🖫 importar/exportar planeamentos no formato CSV (compatível com ficheiros CSV do IHateMoney)
* 🔗 gerar ligações ou códigos QR para importar facilmente planeamentos no MoneyBuster
* 🗲 implementar notificações e fluxo de trabalho do Nextcloud

Esta aplicação foi testada no Nextcloud 20+ com o Firefox 57+ e com o Chromium.

Esta aplicação está sob desenvolvimento.

🌍 Ajude-nos a traduzir esta aplicação na [tradução no Crowdin do Nextcloud-Cospend/MoneyBuster](https://crowdin.com/project/moneybuster).

⚒ Veja outras formas de ajudar nas [directrizes de contribuição](https://github.com/eneiluj/cospend-nc/blob/master/CONTRIBUTING.md).

## Documentação

* [Documentação para o utilizador](https://github.com/eneiluj/cospend-nc/blob/master/docs/user.md)
* [Documentação para o administrador](https://github.com/eneiluj/cospend-nc/blob/master/docs/admin.md)
* [Documentação para o programador](https://github.com/eneiluj/cospend-nc/blob/master/docs/dev.md)
* [CHANGELOG (registo das alterações)](https://github.com/eneiluj/cospend-nc/blob/master/CHANGELOG.md#change-log)
* [AUTHORS (autores)](https://github.com/eneiluj/cospend-nc/blob/master/AUTHORS.md#authors)

## Problemas conhecidos

* não o torna rico

Qualquer comentário será apreciado.

